gnutls_x509_crt_set_subject_alternative_name(3)

NAME
gnutls_x509_crt_set_subject_alternative_name - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_subject_alternative_name(gnutls_x509_crt_t crt, gnutls_x509_subject_alt_name_t type, const char * data_string);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

gnutls_x509_subject_alt_name_t            type
    is one of the gnutls_x509_subject_alt_name_t enumerations

const char * data_string
    The data to be set, a zero terminated string

DESCRIPTION
This function will set the subject alternative name certificate extension. This function assumes that data can be expressed as a null terminated string. The name of the function is unfortunate since it is incosistent with gnutls_x509_crt_get_subject_alt_name().

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.